package com.steering.pss.sale.order.model;

public class SlmBaseStationEntity {
	/**
	 * 到站编码
	 */
	private String stationNo;
	/**
	 * 到站名称
	 */
	private String stationNm;
	/**
	 * 地域片区（城市）
	 */
	private String regionNo;
	/**
	 * 运行方向
	 */
	private String runDirect;
	/**
	 * 公里数
	 */
	private String distance;
	/**
	 * 运费
	 */
	private String freight;
	/**
	 * 电报码
	 */
	private String telegrpNo;
	/**
	 * 所属铁路局
	 */
	private String rawyBuru;
	/**
	 * 备注
	 */
	private String memo;
	/**
	 * 有效标志(1:有效，0:无效)
	 */
	private String validflag;
	/**
	 * 创建人
	 */
	private String createName;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 修改人
	 */
	private String updateName;
	/**
	 * 修改时间
	 */
	private String updateTime;
	/**
	 * 删除人
	 */
	private String deleteName;
	/**
	 * 删除时间
	 */
	private String deleteTime;

	public SlmBaseStationEntity() {
		stationNo = "";
		stationNm = "";
		regionNo = "";
		runDirect = "";
		distance = "";
		freight = "";
		telegrpNo = "";
		rawyBuru = "";
		memo = "";
		validflag = "";
		createName = "";
		createTime = "";
		updateName = "";
		updateTime = "";
		deleteName = "";
		deleteTime = "";
	}

	/**
	 * 到站编码
	 * 
	 * @return value
	 */
	public String getStationNo() {
		return stationNo;
	}

	/**
	 * 到站编码
	 * 
	 * @param stationNo
	 *            value
	 */
	public void setStationNo(String stationNo) {
		this.stationNo = stationNo;
	}

	/**
	 * 到站名称
	 * 
	 * @return value
	 */
	public String getStationNm() {
		return stationNm;
	}

	/**
	 * 到站名称
	 * 
	 * @param stationNm
	 *            value
	 */
	public void setStationNm(String stationNm) {
		this.stationNm = stationNm;
	}

	/**
	 * 地域片区（城市）
	 * 
	 * @return value
	 */
	public String getRegionNo() {
		return regionNo;
	}

	/**
	 * 地域片区（城市）
	 * 
	 * @param regionNo
	 *            value
	 */
	public void setRegionNo(String regionNo) {
		this.regionNo = regionNo;
	}

	/**
	 * 运行方向
	 * 
	 * @return value
	 */
	public String getRunDirect() {
		return runDirect;
	}

	/**
	 * 运行方向
	 * 
	 * @param runDirect
	 *            value
	 */
	public void setRunDirect(String runDirect) {
		this.runDirect = runDirect;
	}

	/**
	 * 公里数
	 * 
	 * @return value
	 */
	public String getDistance() {
		return distance;
	}

	/**
	 * 公里数
	 * 
	 * @param distance
	 *            value
	 */
	public void setDistance(String distance) {
		this.distance = distance;
	}

	/**
	 * 运费
	 * 
	 * @return value
	 */
	public String getFreight() {
		return freight;
	}

	/**
	 * 运费
	 * 
	 * @param freight
	 *            value
	 */
	public void setFreight(String freight) {
		this.freight = freight;
	}

	/**
	 * 电报码
	 * 
	 * @return value
	 */
	public String getTelegrpNo() {
		return telegrpNo;
	}

	/**
	 * 电报码
	 * 
	 * @param telegrpNo
	 *            value
	 */
	public void setTelegrpNo(String telegrpNo) {
		this.telegrpNo = telegrpNo;
	}

	/**
	 * 所属铁路局
	 * 
	 * @return value
	 */
	public String getRawyBuru() {
		return rawyBuru;
	}

	/**
	 * 所属铁路局
	 * 
	 * @param rawyBuru
	 *            value
	 */
	public void setRawyBuru(String rawyBuru) {
		this.rawyBuru = rawyBuru;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(1:有效，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}
}
